Package com.google.protobuf

# Interface TimestampOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `Timestamp`, `Timestamp.Builder`

public interface TimestampOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getNanos()`
`int32 nanos = 2 [json_name = "nanos"];`
`long`
`getSeconds()`
`int64 seconds = 1 [json_name = "seconds"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getSeconds

long getSeconds()
`int64 seconds = 1 [json_name = "seconds"];`

Returns:
  The seconds.

### getNanos

int getNanos()
`int32 nanos = 2 [json_name = "nanos"];`

Returns:
  The nanos.